// cLoginDlg.h: interface for the cLoginDlg class.
//
//////////////////////////////////////////////////////////////////////

#ifndef cLoginDlg_H
#define cLoginDlg_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "cDialog.h"
#include "cUserInfo.h"

class cLoginDlg : public cDialog{
	enum eDialogItemId{
		IDC_NAME_EDIT = IDOK + 1000,
		IDC_PASSWORD_EDIT
	};
private:

	static BOOL ClassRegistered;
	cUserInfo *pUserInfo;

protected:

	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "Login"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual BOOL Create(cWindow *_pParent);
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	void OnCreate(LPARAM lParam);
	void OnDestroy();
	BOOL OnCommand(WPARAM wParam, LPARAM lParam);

public:
	cLoginDlg();
	virtual ~cLoginDlg();

	virtual int DoModal(cWindow *_pParent, cUserInfo *_pUserInfo);
};

#endif
